メインコンテンツへスキップ
PATCH
/
v3beta1
/
organizations
/
{org_id}
/
snapshot-setup
/
blueprints
/
{blueprint_id}
ブループリントの内容および/または配置を更新する
curl --request PATCH \
  --url https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/blueprints/{blueprint_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "contents": "<string>",
  "position": 123
}
'
{
  "blueprint_id": "<string>",
  "created_at": 123,
  "repo_name": "<string>",
  "type": "enterprise",
  "updated_at": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.devin.ai/llms.txt

Use this file to discover all available pages before exploring further.

権限

組織レベルで ManageRepoBlueprints 権限を持つサービスユーザーが必要です。組織ティアのブループリントを作成または更新するには、ManageOrgSnapshots 権限が必要です。

動作

ブループリントの内容や位置を更新します。ビルドは自動ではトリガーされません。

承認

Authorization
string
header
必須

サービスユーザーの認証情報(接頭辞: cog_)

パスパラメータ

blueprint_id
string
必須

ボディ

application/json

org ティアまたは repo ティアのブループリントの部分更新。

フィールドは一部のみ指定できます。指定されていないフィールドはそのまま保持されます。 org ティアのブループリントで position を指定すると 400 を返します。position を持てるのは repo ティアのブループリントのみです。ビルドはトリガーされません。

contents
string | null

設定されている場合、ブループリントの YAML 本文を新しいバージョンに置き換えます。

position
integer | null

設定されている場合、この repo ティアのブループリントの実行順を更新します。位置は一意である必要はありません。実行順に並べ替える際、同順位のものは server が任意に決定します。

レスポンス

成功レスポンス

公開 Blueprint リソースの形式。

注: type 列挙型には今後値が追加される可能性があります。クライアントは未知の値を必ず適切に処理する必要があります。YAML内容は GET /blueprints/{id}/contents で別途取得します。

blueprint_id
string
必須
created_at
integer
必須
repo_name
string | null
必須
type
enum<string>
必須
利用可能なオプション:
enterprise,
org,
repo
updated_at
integer
必須